Skip to main content
GET
Get wallet balances
Each request costs 100 credits.

Request Parameters

string
default:"GQUtvPx89ZNCwmvQqFmH59bJcU8fW8siETpaxod7Aydz"
required
Solana wallet address (base58 encoded)
number
default:"1"
Page number for pagination (1-indexed)
number
default:"100"
Maximum number of tokens per page
boolean
default:"false"
Include tokens with zero balance
boolean
default:"true"
Include native SOL in results
boolean
default:"false"
Include NFTs in results (max 100, first page only)

Authorizations

api-key
string
query
required

API key passed as query parameter

Path Parameters

wallet
string
default:GQUtvPx89ZNCwmvQqFmH59bJcU8fW8siETpaxod7Aydz
required

Solana wallet address (base58 encoded)

Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$

Query Parameters

page
integer
default:1

Page number for pagination (1-indexed)

Required range: x >= 1
limit
integer
default:100

Maximum number of tokens per page

Required range: 1 <= x <= 100
showZeroBalance
boolean
default:false

Include tokens with zero balance

showNative
boolean
default:true

Include native SOL in results

showNfts
boolean
default:false

Include NFTs in results (max 100, first page only)

Response

Wallet balances retrieved successfully

balances
object[]
required

Array of token balances for the current page, including native SOL. When showNative=true, SOL appears as the first element with mint address So11111111111111111111111111111111111111112. Other tokens are sorted by USD value (descending).

totalUsdValue
number
required

Total USD value of balances on this page (not total portfolio value)

Example:

217.98

pagination
object
required

Pagination metadata. Users must manually request additional pages using the page parameter.

nfts
object[]

Array of NFT holdings (only included if showNfts=true, max 100, first page only)